package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ProjectChange extends HRBillBase implements IProjectChange
{
    public ProjectChange()
    {
        super();
        registerInterface(IProjectChange.class, this);
    }
    public ProjectChange(Context ctx)
    {
        super(ctx);
        registerInterface(IProjectChange.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("79ADB148");
    }
    private ProjectChangeController getController() throws BOSException
    {
        return (ProjectChangeController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ProjectChangeCollection getProjectChangeCollection() throws BOSException
    {
        try {
            return getController().getProjectChangeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ProjectChangeCollection getProjectChangeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getProjectChangeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ProjectChangeCollection getProjectChangeCollection(String oql) throws BOSException
    {
        try {
            return getController().getProjectChangeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ProjectChangeInfo getProjectChangeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectChangeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ProjectChangeInfo getProjectChangeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectChangeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ProjectChangeInfo getProjectChangeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getProjectChangeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}